<template>
  <lazy-theme-mobile-modern-profile v-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-modern-profile v-else-if="theme === 'desktop/modern'" />
  <lazy-theme-mobile-black-profile v-else-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-china-profile v-else-if="theme === 'mobile/china'" />
  <lazy-theme-mobile-sbo-profile v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-mobile-main-profile-2 v-else-if="(theme === 'mobile/main' && isUserCenterStyle1) || isExceptionTheme" />
  <lazy-theme-mobile-main-profile-2 v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-mobile-main-profile-2 v-else-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-peru-profile v-else-if="theme.includes('/peru')" />
</template>
<script lang="ts" setup>
import { store } from "~~/store";
import commonHelper from "@/utils/commonHelper"; 
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
const themeProperties =
  store.state.companyThemePropertiesFromApi.ThemeProperties;
const userCenter = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "user_center"
);
const isUserCenterStyle1 = userCenter.Text === 'user_center_1';
const { isExceptionTheme } = commonHelper;
</script>
